#define expr_bad (unsigned) 65535
#define expr_lit (unsigned) 65534

/* Set the lit_flag value to expr to one of these: */

/* To get a literal added to the literal pool: */
#define expr_lit_pool 1

/* To get a literal left alone (call get_lit to get a pointer to it): */
#define expr_lit_result 2

/* To prevent a literal from appearing at all: */
#define expr_lit_illegal 3

extern char * valstr(unsigned val);
extern boolean expr(char * expression,unsigned * result,boolean report_undef,
	int lit_treatment,int pass, boolean X00);
extern int ixreg(unsigned val);
extern unsigned base(unsigned val);
extern char dchar(char * d);
extern int litlen(char * lit);
extern unsigned int ixbits(char * name);
extern unsigned unindexed(unsigned val);
unsigned ixbitsonly(unsigned val);
unsigned comp16K(unsigned val);
